%%%% The graph shows the USD/ILS NER and the intervention in monthly terms
%%%% from 2008 until today. 
%% We only do the graph until 31/12/2019

[num,~,raw]=xlsread([ini.dirs.raw '\Monthly intervention\monthly_data_matlab.xlsx']);
intmonthly=num(:,1);NERmonthly=num(:,4);usdilsmonthly=num(:,5);
dates=datenum(raw(2:end,1),'dd/mm/yyyy');
idx=find(dates==datenum('31/12/2019','dd/mm/yyyy'));
%xticks(data(1,1):220:data(end,1));
set(gca,'FontSize',22)
ax = gca;
xtickangle(45)
xticks(dates(1):30*5:dates(idx));
datetick('x','mm/yy','keeplimits','keepticks')
xlim=[dates(1) dates(idx)];
%title('Monthly NEER index, USD/ILS index, and Intervention '). We don't
%want the title because we have it in latex
yyaxis left
plot(dates(1:idx),NERmonthly(1:idx),'linewidth',4); hold on;plot(dates(1:idx),usdilsmonthly(1:idx),'g','linewidth',4); hold on;
ylabel('Normalized FX rate (01/2008=100)','Color','Black');
yyaxis right
ax.YAxis(2).Color = 'k';
bar(dates(1:idx),intmonthly(1:idx),'FaceColor','black');
%bar(dates,intmonthly);
legend('NEER index','USDILS index','Intervention');
ylabel('Interventions in USD Millions');
